PCP(1)

NAME
pcp - copy files

SYNOPSIS
pcp [-d LEVEL] [-p DEVNAME] [-h] [:]SOURCE [[:]DESTINATION]

DESCRIPTION

pcp copies a file on a device connected through SynCE or between a device connected through SynCE and host PC.

Forward slashes ('/') in remote file names specified on the command line are converted to backward slashes ('\').

This tool must be run as the same user as the dccmd daemon.

OPTIONS

-r  Copy directories recursively.

-d LEVEL
    Set debug log level:

    0 - No logging (default)

    1 - Errors only

    2 - Errors and warnings

    3 - Everything

-p DEVNAME
    Use the device with the given name, instead of the default.

-h  Display help message.

[:]SOURCE
    Full path to the source filename. When the filename is prefixed with a colon (':'), it will be treated as a remote filename, otherwise as a local filename.

[:]DESTINATION
    Full path to the destination filename. When the filename is prefixed with a colon (':'), it will be treated as a remote filename, otherwise as a local filename.

    If this parameter is omitted and the source filename is local, the local file will be copied to a file with the same name in the "My Documents" directory on the device connected through SynCE.

    If this parameter is omitted and the source filename is remote, the remote file will be copied to a file with the same name in the current directory.

EXAMPLES

Copy a file from host computer to remote device:

    pcp download/game.cab ":/Temporary Files/game.cab"

Copy a file from remote device to host computer:

    pcp ":/My Documents/snore.wav" /tmp/snore.wav

Copy a file from host computer to remote device into the "My Document" folder - you can leave off the last parameter:

    pcp "work/mytext.txt"

Copy a file from remote device to host computer into the current directory - you can leave off the last parameter:

    pcp ":/My Documents/snore.wav"

Copy a file from one location on the remote device to another:

    pcp ":/My Documents/important.pwi" ":/My Documents/important.backup.pwi"

AUTHOR

This manual page was written by David Eriksson <twogood@users.sourceforge.net>.

SEE ALSO
synce(1) pcp(1) pls(1) prm(1) pmkdir(1) prmdir(1)